summaryrefslogtreecommitdiffstats
path: root/tests/auto/declarative/runall.sh
diff options
context:
space:
mode:
authorWarwick Allison <warwick.allison@nokia.com>2009-11-10 08:06:01 (GMT)
committerWarwick Allison <warwick.allison@nokia.com>2009-11-10 08:06:01 (GMT)
commit219080cf6ed195cf23a823d0b775f713d68f0b2d (patch)
tree122c37fd7ab89148efe21affdd8d13fcfb8e417d /tests/auto/declarative/runall.sh
parentf8d994f9ede13bf79d811621ba75d39b0c487931 (diff)
downloadQt-219080cf6ed195cf23a823d0b775f713d68f0b2d.zip
Qt-219080cf6ed195cf23a823d0b775f713d68f0b2d.tar.gz
Qt-219080cf6ed195cf23a823d0b775f713d68f0b2d.tar.bz2
Help run all tests.
Diffstat (limited to 'tests/auto/declarative/runall.sh')
-rwxr-xr-xtests/auto/declarative/runall.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/auto/declarative/runall.sh b/tests/auto/declarative/runall.sh
new file mode 100755
index 0000000..b58c82b
--- /dev/null
+++ b/tests/auto/declarative/runall.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+Xnest :7 2>/dev/null &
+trap "kill $!" EXIT
+export DISPLAY=:7
+
+make install 2>&1 |
+ while read line
+ do
+ case "$line" in
+ [a-z]*) ;;
+ PASS*) ;;
+ QDEBUG*) ;;
+ Makefile*) ;;
+ Config*) ;;
+ Totals*) ;;
+ \**) ;;
+ ./*) ;;
+ *) echo "$line"
+ esac
+ done
+